#!/bin/sh
export PATH='/usr/obj/ports/hs-vector-0.12.0.1/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: vector
version: 0.12.0.1
id: vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4
key: vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4
license: BSD3
copyright: (c) Roman Leshchinskiy 2008-2012
maintainer: Haskell Libraries Team <libraries@haskell.org>
homepage: https://github.com/haskell/vector
synopsis: Efficient Arrays
description:
    .
    An efficient implementation of Int-indexed arrays (both mutable
    and immutable), with a powerful loop optimisation framework .
    .
    It is structured as follows:
    .
    ["Data.Vector"] Boxed vectors of arbitrary types.
    .
    ["Data.Vector.Unboxed"] Unboxed vectors with an adaptive
    representation based on data type families.
    .
    ["Data.Vector.Storable"] Unboxed vectors of '\''Storable'\'' types.
    .
    ["Data.Vector.Primitive"] Unboxed vectors of primitive types as
    defined by the @primitive@ package. "Data.Vector.Unboxed" is more
    flexible at no performance cost.
    .
    ["Data.Vector.Generic"] Generic interface to the vector types.
    .
    There is also a (draft) tutorial on common uses of vector.
    .
    * <http://haskell.org/haskellwiki/Numeric_Haskell:_A_Vector_Tutorial>
category: Data, Data Structures
author: Roman Leshchinskiy <rl@cse.unsw.edu.au>
exposed: True
indefinite: False
exposed-modules:
    Data.Vector Data.Vector.Fusion.Bundle
    Data.Vector.Fusion.Bundle.Monadic Data.Vector.Fusion.Bundle.Size
    Data.Vector.Fusion.Stream.Monadic Data.Vector.Fusion.Util
    Data.Vector.Generic Data.Vector.Generic.Base
    Data.Vector.Generic.Mutable Data.Vector.Generic.Mutable.Base
    Data.Vector.Generic.New Data.Vector.Internal.Check
    Data.Vector.Mutable Data.Vector.Primitive
    Data.Vector.Primitive.Mutable Data.Vector.Storable
    Data.Vector.Storable.Internal Data.Vector.Storable.Mutable
    Data.Vector.Unboxed Data.Vector.Unboxed.Base
    Data.Vector.Unboxed.Mutable
abi: 8e272bd04e12991dddf8fcbfa1687d93
trusted: False
import-dirs: /usr/local/lib/ghc/vector-0.12.0.1
library-dirs: /usr/local/lib/ghc/vector-0.12.0.1
              /usr/local/lib/x86_64-openbsd-ghc-8.2.2
data-dir: /usr/local/share/hs-vector-0.12.0.1
hs-libraries: HSvector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4
include-dirs: /usr/local/lib/ghc/vector-0.12.0.1/include
depends:
    base-4.10.1.0 primitive-0.6.2.0-EI3NK1Xfv9zEcRtyXK2EwZ
    ghc-prim-0.5.1.1 deepseq-1.4.3.0
abi-depends: base-4.10.1.0=3319c96bc0bdd0e7df6bb89e8bc8756b
             primitive-0.6.2.0-EI3NK1Xfv9zEcRtyXK2EwZ=b57ad999db73969433cb2012af075f16
             ghc-prim-0.5.1.1=c8f3d173544d1472727fce7b0518abda
             deepseq-1.4.3.0=d8f37714cac2d8647374ccf1a4b2ba8a
haddock-interfaces: /usr/local/share/doc/hs-vector-0.12.0.1/html/vector.haddock
haddock-html: /usr/local/share/doc/hs-vector-0.12.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

